curl --request GET \
--url https://api.hyperline.co/v1/customers \
--header 'Authorization: Bearer <token>'{
"meta": {
"total": 1,
"taken": 1,
"skipped": 0
},
"data": [
{
"id": "cus_Typ0px2W0aiEtl",
"name": "Acme",
"type": "corporate",
"status": "active",
"currency": "EUR",
"country": "FR",
"vat_number": "<string>",
"vat_number_valid": true,
"vat_rate_custom": 123,
"tax_ids": [
{
"value": "FR123456789",
"status": "valid"
}
],
"tax_rate_custom": 50,
"registration_number": "36252187900034",
"is_government_affiliated": false,
"language": "fr",
"timezone": "Europe/Paris",
"external_id": null,
"properties": null,
"custom_properties": {},
"billing_address": {
"name": "Acme",
"line1": "5 rue de Paradis",
"line2": null,
"city": "Paris",
"zip": "75010",
"state": "CA",
"country": "FR"
},
"shipping_address": {
"name": "Acme",
"line1": "5 rue de Paradis",
"line2": null,
"city": "Paris",
"zip": "75010",
"state": "CA",
"country": "FR"
},
"billing_email": "billing@acme.com",
"invoice_emails": [
"accounting@acme.com"
],
"invoicing_entity_id": "ive_484dn4U48E",
"invoice_reminders_enabled": true,
"price_book_id": "prib_613_WbVIZ1329e",
"available_payment_methods": [
"card",
"direct_debit"
],
"current_payment_method_type": "card",
"current_payment_method_id": "pm_UTclbc1US8GzCe",
"custom_payment_delay": 30,
"custom_payment_initiation_delay": 7,
"subscriptions": [
{
"id": "sub_0kIc7jrF7gV00V",
"status": "active",
"current_period_started_at": "2024-10-12T07:00:01.860Z",
"current_period_ends_at": "2024-11-12T07:00:01.860Z",
"plan_id": "plan_34hdd843hReh",
"checkout_session_id": "che_949djdj39RJj"
}
],
"segment_ids": [
"seg_0kIc7jrF7gV00V"
],
"integrations": [
{
"entity_id": "123456789",
"provider_name": "stripe",
"provider_account_id": "acc_1234567890"
}
],
"created_at": "2024-10-12T07:00:01.860Z",
"updated_at": "2024-10-12T07:00:01.860Z",
"deleted_at": null
}
]
}Retrieve existing customers.
curl --request GET \
--url https://api.hyperline.co/v1/customers \
--header 'Authorization: Bearer <token>'{
"meta": {
"total": 1,
"taken": 1,
"skipped": 0
},
"data": [
{
"id": "cus_Typ0px2W0aiEtl",
"name": "Acme",
"type": "corporate",
"status": "active",
"currency": "EUR",
"country": "FR",
"vat_number": "<string>",
"vat_number_valid": true,
"vat_rate_custom": 123,
"tax_ids": [
{
"value": "FR123456789",
"status": "valid"
}
],
"tax_rate_custom": 50,
"registration_number": "36252187900034",
"is_government_affiliated": false,
"language": "fr",
"timezone": "Europe/Paris",
"external_id": null,
"properties": null,
"custom_properties": {},
"billing_address": {
"name": "Acme",
"line1": "5 rue de Paradis",
"line2": null,
"city": "Paris",
"zip": "75010",
"state": "CA",
"country": "FR"
},
"shipping_address": {
"name": "Acme",
"line1": "5 rue de Paradis",
"line2": null,
"city": "Paris",
"zip": "75010",
"state": "CA",
"country": "FR"
},
"billing_email": "billing@acme.com",
"invoice_emails": [
"accounting@acme.com"
],
"invoicing_entity_id": "ive_484dn4U48E",
"invoice_reminders_enabled": true,
"price_book_id": "prib_613_WbVIZ1329e",
"available_payment_methods": [
"card",
"direct_debit"
],
"current_payment_method_type": "card",
"current_payment_method_id": "pm_UTclbc1US8GzCe",
"custom_payment_delay": 30,
"custom_payment_initiation_delay": 7,
"subscriptions": [
{
"id": "sub_0kIc7jrF7gV00V",
"status": "active",
"current_period_started_at": "2024-10-12T07:00:01.860Z",
"current_period_ends_at": "2024-11-12T07:00:01.860Z",
"plan_id": "plan_34hdd843hReh",
"checkout_session_id": "che_949djdj39RJj"
}
],
"segment_ids": [
"seg_0kIc7jrF7gV00V"
],
"integrations": [
{
"entity_id": "123456789",
"provider_name": "stripe",
"provider_account_id": "acc_1234567890"
}
],
"created_at": "2024-10-12T07:00:01.860Z",
"updated_at": "2024-10-12T07:00:01.860Z",
"deleted_at": null
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
0 <= x <= 100x >= 0corporate, person corporate, person all, active, inactive, imported, archived all, active, inactive, imported, archived active, pending, cancelled, paused, trialing, errored, draft, none active, pending, cancelled, paused, trialing, errored, draft, none card, direct_debit, direct_debit_ach, direct_debit_bacs, transfer, external, missing, errored card, direct_debit, direct_debit_ach, direct_debit_bacs, transfer, external, missing, errored Was this page helpful?